ioBroker - WLANThermo Nano

s.ochs

BOFH
Teammitglied
An dieser Stelle soll eine Sammelstelle von Templates für die Verknüpfung vom WLANThermo Nano und ioBroker entstehen. Anhand dieser Templates kann sich jeder sein individuelles Skript für ioBroker zusammenstellen.
 
Zuletzt bearbeitet:

s.ochs

BOFH
Teammitglied
Der offizielle Adapter für iobroker ist da!

War länger still hier, aber nun geht es mit großen Schritten weiter. @Alex3010 und @Sven, zwei fleißige WLANThermo-User und Smart Home-Enthusiasten, haben Rafal Drozda (aka DutchmanNL, bekannt in der iobroker Community, @Dutchman) so lange "genervt", bis er uns (fast 🤣) freiwillig einen offiziellen Adapter für iobroker entwickelt hat. Genial!!!

Der Adapter ermöglicht das Auslesen der vom Nano aufgezeichneten Daten und das Anpassen von Einstellungen über die http-API. Aktuell klappt das nur für ein Nano im Netzwerk, Rafal ist aber schon dran, den Adapter auf beliebig viele Nanos in einem iobroker Netz zu erweitern. Interessant für unsere Poweruser 😉. Der Adapter stellt alle Daten als States zur Verfügung, die dann wiederum in VIS, Alexa, Telegram usw. verarbeitet werden können. Das (lästige) Auslesen und Transformieren der JSON-Objekte entfält. Das macht es doch deutlich einfacher sein Nano in iobroker zu integieren.

@Sven wird in nächster Zeit auch noch ein passendes Skript veröffentlichen, welches die Anwendungsfelder des Adapters beispielhaft aufzeigt.

Der Adapter wurde bisher primär von Alex, Sven und mir getestet und läuft dabei zuverlässig. Jetzt gilt es den User-Kreis zu erweitern. Also bitte fleißig testen und berichten, falls euch was auffällt, dass man noch verbessern/erweitern könnte.


Wer den Adapter testen möchte, installiert ihn am besten über die Adapter-Übersicht (Repository muss auf LATEST eingestellt sein).

Quelle/Repository:
https://github.com/iobroker-commun…/ioBroker.wlanthermo-nano

Viel Spaß beim Ausprobieren.
Steffen
 
Zuletzt bearbeitet:

bolesbbq

New member
Hallo zusammen,
erstmal danke für die Arbeit.
Habe den IObroker Adapter eben installiert.
Leider scheint aktuell irgendwo die IP fest hinterlegt zu sein, da ich nichts eintragen kann und immer die gleiche Fehlermeldung sehe.
Ideen?
Teste gerne für Euch weiter.
Gruß
 

Anhänge

s.ochs

BOFH
Teammitglied
Kannst du uns bitte mal ein Bild von der Adaptereinstellung machen? Damit wir sehen können, was du eingetragen hast?
 

Dutchman

New member
Aber genau da liegt das Problem, wenn man den "Add Device" Button anklickt passiert nichts.
Hi,

Du hast bestimmt von git installiert ? Dort liegt gerade eine development versions die noch nicht fertig ist (ermöglicht später mehrere devices).
Bitte mal deinstallieren und einfach aus der adapter Übersicht installieren (version 0.1.1), das sollte klappen.

(Repository muss auf latest eingestellt sein)

Cheers,

Dutch
 

Latzi

Member
@Dutchman, Bedankt voor de adapter v.0.1.2 👏

Leider war´s das schon mit meinen niederländischen Sprachkenntnissen, darum geht´s deutsch weiter ;-)

Kann man derzeit die DP nur lesen (wenn ich z.B. bei Sensor_1 den "typ" ändere, wird dieser nur ein paar Sekunden angezeigt und danach wieder auf den ursprünglichen Wert zurückgesetzt) oder hab ich in der Konfiguration einen Fehler gemacht?
Bei mir wird in der "Configuration" unter "time" Invalid Date angezeigt, woher kommt das?

1582229215159.png
 

stefbork02

New member
Hallo zusammen,

vielleicht könnt ihr mir weiterhelfen. Ich habe einen Mini v2 und im iobroker Forum hat jemand im Juni 2018 geschrieben, dass es auch mit dem Mini v2 funktioniert. Ich habe den Adapter auf dem iobroker aus der Adapterübersicht installiert, IP und Port 80 eingetragen, Standard Benutzer und PW des wlanthermo. Mit wird auch unter den Objekten ein paar Werte angezeigt, jedoch nur Infos über den RPi (cpu, mem, uptime,...). Im Log habe ich die gleiche Fehlermeldung wie "bolesbbq".
(29205) Error: Request failed with status code 404
(29205) Unable to connect to device, please check IP / port / username and password !
Hat vielleicht jemand einen Tipp für mich? Oder geht die neuste Version nicht mehr mit einem mini v2?

Vielen Dank schon mal.

Gruß stefan
 

s.ochs

BOFH
Teammitglied
@stefbork02 wie im Titel steht, ist der Adapter aktuell nur für das Nano geeignet. Ich weiß nicht genau was/wo du im iobroker Forum gelesen hast, aber ich vermute es bezieht sich das Skript, was in diesem Fred erwähnt ist: Link Schau dir den Link mal an, die Skripte sind für die Mini Modelle mit Raspberry Pi gedacht. Die API ist hier eine andere als beim Nano, deshalb sind die nicht kompatibel. Das wird sich vermutlich demnächst mit dem ESP-Upgrade für die Minis ändern, dauert aber noch etwas: Neuheiten 2020

@Latzi ich hau Dutchman mal an, dass er sich das mal ansieht.
 

stefbork02

New member
Danke für die schnelle Rückmeldung. Ich bin mir nicht sicher, ob ich einfach auf ein anderes Forum verlinken darf, daher nur mal ein Textauszug aus der Unterhaltung:
"...vielen dank ich werde auch testen, bis jetzt läuft alles gut.
Ich war etwas irritiert bezüglich der Erweiterung "Mini" geht aber auch mit der V2..."
"...Habe selbst einen WLT Mini V2, (basiert auf RasPi Zero). Getestet mit der Software 2.7 und 2.8.
Viel Spaß!..."

Aber wenn es derzeit nicht geht, brauche ich ja nicht weitertesten. Ich würde mich natürlich riesig freuen, wenn das irgendwann mal klappen würde. Die Idee finde ich nämlich mega gut!!!
 

s.ochs

BOFH
Teammitglied
Kannst ruhig verlinken. Wie gesagt, der Adapter um den es in diesem Fred hier geht, ist derzeit nur für die Nano-Baureihe, da hier eine andere API als beim Raspberry Pi zum Einsatz kommt. Das worauf du dich beziehst, war zeitlich vor diesem Nano-Adapter und sollte beim Mini (weiterhin) funktionieren. In meinem Link oben findest du im 3 oder 4 Beitrag einen Link zum iobroker Forum bzw. mal ganz zum Ende scrollen. Sollte eigentlich alles dabei stehen.
 

stefbork02

New member
Top! Besten Dank für deine ausführliche Erklärung. Ich werde mich mal da durchfuchsen. Ich bin auch gerade erst mit dem iobroker angefangen und kämpfe mich mühsam durch.
Aber auf euer Upgrade für die Minis freue ich mich jetzt schon. Das ist ja richtig gut! Ich werde meinen auf jeden Fall aufrüsten... oder lieber doch einen zweiten bauen? ;)
 

Langstedt

New member
Bei mir tut sich nix nach der Installation ist kein neuer Adapter da.....
$ ./iobroker url "https://github.com/iobroker-community-adapters/ioBroker.wlanthermo-nano/tarball/master" wlanthermo-nano --debug
install https://github.com/iobroker-community-adapters/ioBroker.wlanthermo-nano/tarball/master
NPM version: 6.11.3
npm install https://github.com/iobroker-community-adapters/ioBroker.wlanthermo-nano/tarball/master --loglevel error --prefix "C:/Program Files/iobroker1/Langstedt" (System call)
C:\Program Files\iobroker1\Langstedt\semver -> C:\Program Files\iobroker1\Langstedt\node_modules\semver\bin\semver
+ iobroker.wlanthermo-nano@0.1.2added 56 packages from 76 contributors and updated 1 package in 2.264s
upload [7] wlanthermo-nano.admin C:/Program Files/iobroker1/Langstedt/node_modules/iobroker.wlanthermo-nano/admin/words.js words.js application/javascript
upload [6] wlanthermo-nano.admin C:/Program Files/iobroker1/Langstedt/node_modules/iobroker.wlanthermo-nano/admin/wlanthermo-nano.png wlanthermo-nano.png image/png
upload [5] wlanthermo-nano.admin C:/Program Files/iobroker1/Langstedt/node_modules/iobroker.wlanthermo-nano/admin/tsconfig.json tsconfig.json application/json
upload [4] wlanthermo-nano.admin C:/Program Files/iobroker1/Langstedt/node_modules/iobroker.wlanthermo-nano/admin/style.css style.css text/css
upload [3] wlanthermo-nano.admin C:/Program Files/iobroker1/Langstedt/node_modules/iobroker.wlanthermo-nano/admin/index_m.html index_m.html text/html
upload [2] wlanthermo-nano.admin C:/Program Files/iobroker1/Langstedt/node_modules/iobroker.wlanthermo-nano/admin/button.png button.png image/png
upload [1] wlanthermo-nano.admin C:/Program Files/iobroker1/Langstedt/node_modules/iobroker.wlanthermo-nano/admin/admin.d.ts admin.d.ts video/mp2t
upload [0] wlanthermo-nano.admin C:/Program Files/iobroker1/Langstedt/node_modules/iobroker.wlanthermo-nano/admin/.DS_Store .DS_Store null
process exited with code 0
Post automatically merged:

Also im Installationspfad sind die Dateien vorhanden.....
 
Zuletzt bearbeitet:

s.ochs

BOFH
Teammitglied
Sollten beide Versionen aktuell funktionieren, habe es gerade gestern erst mehrfach probiert.
 
Oben Unten